%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Archive-Zip
Version:       1.38
Release:       1mamba
Summary:       Create, manipulate, read, and write Zip archive files.
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.cpan.org
Source:        http://www.cpan.org/modules/by-module/Archive/Archive-Zip-%{version}.tar.gz
License:       Artistic License
BuildRequires: perl-devel >= %perl_major_ver
BuildRequires: zip, unzip
Requires:      perl >= %perl_major_ver
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
The Archive::Zip module allows a Perl program to create, manipulate, read, and write Zip archive files.

%prep
%setup -q -n Archive-Zip-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Mon Sep 08 2014 Automatic Build System <autodist@mambasoft.it> 1.38-1mamba
- automatic update by autodist

* Sat May 24 2014 Automatic Build System <autodist@mambasoft.it> 1.37-1mamba
- automatic update by autodist

* Wed Nov 13 2013 Automatic Build System <autodist@mambasoft.it> 1.33-1mamba
- automatic update by autodist

* Tue Nov 13 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.30-2mamba
- perl 5.16 mass rebuild

* Thu Jul 02 2009 Automatic Build System <autodist@mambasoft.it> 1.30-1mamba
- automatic update by autodist

* Fri Jun 19 2009 Automatic Build System <autodist@mambasoft.it> 1.28-1mamba
- automatic update by autodist

* Thu Feb 05 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.26-1mamba
- automatic update by autodist

* Mon Nov 03 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.23-2mamba
- automatic rebuild by autodist

* Fri Nov 09 2007 Aleph0 <aleph0@openmamba.org> 1.23-1mamba
- update to 1.23

* Fri Jul 08 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 1.16-1qilnx
- package created by autospec
